%global pypi_name trustme

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 1
Summary:        #1 quality TLS certs while you wait, for the discerning tester
License:        MIT or ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/trustme
Source0:        %{pypi_source}
BuildArch:      noarch

%description
You wrote a cool network client or server. It encrypts connections using TLS.
Your test suite needs to make TLS connections to itself.

Uh oh. Your test suite probably doesn’t have a valid TLS certificate. Now what?

trustme is a tiny Python package that does one thing: it gives you a fake
certificate authority (CA) that you can use to generate fake TLS certs to use
in your tests. Well, technically they’re real certs, they’re just signed by
your CA, which nobody trusts. But you can trust it. Trust me.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
You wrote a cool network client or server. It encrypts connections using TLS.
Your test suite needs to make TLS connections to itself.

Uh oh. Your test suite probably doesn’t have a valid TLS certificate. Now what?

trustme is a tiny Python package that does one thing: it gives you a fake
certificate authority (CA) that you can use to generate fake TLS certs to use
in your tests. Well, technically they’re real certs, they’re just signed by
your CA, which nobody trusts. But you can trust it. Trust me.

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen reqs
sed -i -e 's/==/>=/g' test-requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_check:test-requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest --verbose
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.rst


%changelog
* Sun Jan 21 2024 wally <wally> 1.1.0-1.mga10
+ Revision: 2033291
- new version 1.1.0
- use pyproject rpm macros

* Thu Mar 31 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1835760
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.9.0-2.mga9
+ Revision: 1772920
- rebuild for python3.10

* Sun Aug 22 2021 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1742325
- new version 0.9.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.7.0-1.mga9
+ Revision: 1706236
- new version 0.7.0

* Tue Nov 10 2020 guillomovitch <guillomovitch> 0.6.0-1.mga8
+ Revision: 1644428
- imported package python-trustme

